[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Path disclousure in OpenCart



Vulnerability ID: HTB22762
Reference: http://www.htbridge.ch/advisory/path_disclousure_in_opencart.html
Product: OpenCart
Vendor: OpenCart ( http://www.opencart.com/ ) 
Vulnerable Version: 1.4.9.1
Vendor Notification: 15 December 2010 
Vulnerability Type: Path disclosure
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response
Risk level: Low 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
The vulnerability exists due to failure in the "/index.php" script to properly sanitize user-supplied input in "path" variable, it's possible to generate an error that will reveal the full path of the script.
A remote user can determine the full path to the web root directory and other potentially sensitive information.


http://[host]/index.php?route=product/category&path[]=1